%define		plugin		edittable
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki edittable plugin
Summary(pl.UTF-8):	Wtyczka edittable dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20140618
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/cosmocode/%{plugin}/archive/master/%{plugin}-%{version}.tar.gz
# Source0-md5:	ad922f178da8867f9d38b490633286d6
URL:		http://www.dokuwiki.org/plugin:edittable
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20131208
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Plugin that provides a visual table editing and inserting interfac

%prep
%setup -qc
mv %{plugin}-*/{*,.??*} .

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/{README*,.travis.yml}
%{__rm} -r $RPM_BUILD_ROOT%{plugindir}/_test

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js/css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README README.handsontable
%dir %{plugindir}
%{plugindir}/*.js
%{plugindir}/*.less
%{plugindir}/*.txt
%{plugindir}/action
%{plugindir}/images
%{plugindir}/less
%{plugindir}/renderer
%{plugindir}/script
%changelog
* Thu Oct 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-edittable.git;a=log;h=master

* Mon Oct 06 2014 Elan Ruusamäe <glen@delfi.ee> 19e21a9
- up to 20140618

* Sun Jul 13 2014 Jan Rękorajski <baggins@pld-linux.org> 80532f8
- rpm5 friendly URL

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> fcef455
- virtual php pcre dep

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> afc4327
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Fri Jan 21 2011 Elan Ruusamäe <glen@pld-linux.org> f8ed8c6
- new

